You are not logged in.

#1 10-03-2014 18:48:05

Warper
Nouveau membre
Registered: 10-03-2014
Posts: 1

Problems to compile in archlinux

I have this error in ffdiaporama, and ffdiaporama-devel

engine/_EncodeVideo.cpp:1183:46: aviso: ‘void avcodec_get_frame_defaults(AVFrame*)’ is deprecated (declared at /usr/include/libavcodec/avcodec.h:3555) [-Wdeprecated-declarations]
avcodec_get_frame_defaults(VideoFrame);
^
Makefile:4200: recipe for target '_EncodeVideo.o' failed
make[1]: *** [_EncodeVideo.o] Error 1
make[1]: Leaving directory '/tmp/yaourt-tmp-rafa/aur-ffdiaporama/src/ffDiaporama/src/ffDiaporama'
Makefile:64: recipe for target 'sub-src-ffDiaporama-make_first' failed
make: *** [sub-src-ffDiaporama-make_first] Error 2

Offline

#2 01-03-2015 16:34:08

Testa777
Nouveau membre
Registered: 01-03-2015
Posts: 1

Re: Problems to compile in archlinux

Hello,

exactly the same error happens when you try to compile/install FFDiaporama under Fedora 21. I think it has something to do with FFmpeg 2.4/2.5. No problems with distributions that are still using FFmpeg 2.3 or below.

Offline

#3 01-04-2015 15:21:32

gerd1028
Membre
Registered: 05-09-2014
Posts: 28

Re: Problems to compile in archlinux

Hello,

in _EncodeVideo.cpp replace
                avcodec_get_frame_defaults(AudioFrame);
with
                #if (FFMPEGVERSIONINT>=220)
                    av_frame_unref(AudioFrame);
                #else
                    avcodec_get_frame_defaults(AudioFrame);
                #endif



and
            avcodec_get_frame_defaults(VideoFrame);

with
        #if (FFMPEGVERSIONINT>=220)
            av_frame_unref(VideoFrame);
        #else
            avcodec_get_frame_defaults(VideoFrame);
        #endif

Offline

#4 01-04-2015 15:45:59

meinereiner
Membre
Registered: 03-21-2012
Posts: 63

Re: Problems to compile in archlinux

Hello,

this problem is the same like in Manjaro. So my Thread should be deleted.

@gerd1028: Your solution is still implemented in the last devel Version (488). Compilinig this version with ffmpeg 2.5.2 is impossible.

The Errorcode is like this:

g++ -c -pipe -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -D_REENTRANT -Wall -W -fPIE -DSHARE_DIR=\"/usr\" -DQ_OS_LINUX64 -DUSELIBSWRESAMPLE -DQT_NO_DEBUG -DQT_HELP_LIB -DQT_SVG_LIB -DQT_WIDGETS_LIB -DQT_MULTIMEDIA_LIB -DQT_GUI_LIB -DQT_CONCURRENT_LIB -DQT_NETWORK_LIB -DQT_XML_LIB -DQT_SQL_LIB -DQT_CORE_LIB -I/usr/lib/qt/mkspecs/linux-g++ -I. -I../ffDiaporama_lib -isystem /usr/include -isystem /usr/include/qt -isystem /usr/include/qt/QtHelp -isystem /usr/include/qt/QtSvg -isystem /usr/include/qt/QtWidgets -isystem /usr/include/qt/QtMultimedia -isystem /usr/include/qt/QtGui -isystem /usr/include/qt/QtConcurrent -isystem /usr/include/qt/QtNetwork -isystem /usr/include/qt/QtXml -isystem /usr/include/qt/QtSql -isystem /usr/include/qt/QtCore -I. -I. -o _EncodeVideo.o engine/_EncodeVideo.cpp
engine/_EncodeVideo.cpp: In Elementfunktion »bool cEncodeVideo::OpenVideoStream(sVideoCodecDef*, int, bool, AVRational, int, int, AVRational, int)«:
engine/_EncodeVideo.cpp:456:29: Warnung: »AVCodecContext::lmin« is deprecated (declared at /usr/include/libavcodec/avcodec.h:2382) [-Wdeprecated-declarations]
         VideoStream->codec->lmin    =VideoStream->codec->qmin*FF_QP2LAMBDA;
                             ^
engine/_EncodeVideo.cpp:456:29: Warnung: »AVCodecContext::lmin« is deprecated (declared at /usr/include/libavcodec/avcodec.h:2382) [-Wdeprecated-declarations]
engine/_EncodeVideo.cpp:458:29: Warnung: »AVCodecContext::lmax« is deprecated (declared at /usr/include/libavcodec/avcodec.h:2388) [-Wdeprecated-declarations]
         VideoStream->codec->lmax    =VideoStream->codec->qmax*FF_QP2LAMBDA;
                             ^
engine/_EncodeVideo.cpp:458:29: Warnung: »AVCodecContext::lmax« is deprecated (declared at /usr/include/libavcodec/avcodec.h:2388) [-Wdeprecated-declarations]
In file included from engine/cApplicationConfig.h:42:0,
                 from engine/_Transition.h:80,
                 from engine/_Diaporama.h:26,
                 from engine/_EncodeVideo.h:28,
                 from engine/_EncodeVideo.cpp:21:
engine/_EncodeVideo.cpp: In Elementfunktion »void cEncodeVideo::EncodeMusic(cDiaporamaObjectInfo*, cSoundBlockList*, cSoundBlockList*, bool&)«:
engine/cDeviceModelDef.h:87:35: Fehler: »SWR_CH_MAX« wurde in diesem Gültigkeitsbereich nicht definiert
     #define RESAMPLE_MAX_CHANNELS SWR_CH_MAX
                                   ^
engine/_EncodeVideo.cpp:1059:39: Anmerkung: bei Substitution des Makros »RESAMPLE_MAX_CHANNELS«
                     u_int8_t *in_data[RESAMPLE_MAX_CHANNELS]={0},*out_data[RESAMPLE_MAX_CHANNELS]={0};
                                       ^
engine/_EncodeVideo.cpp:1061:48: Fehler: »in_data« wurde in diesem Gültigkeitsbereich nicht definiert
                     if (av_samples_fill_arrays(in_data,&in_linesize,(u_int8_t *)PacketSound,ToEncodeMusic->Channels,DestNbrSamples,ToEncodeMusic->SampleFormat,0)<0) {
                                                ^
engine/_EncodeVideo.cpp:1065:52: Fehler: »out_data« wurde in diesem Gültigkeitsbereich nicht definiert
                         if (av_samples_fill_arrays(out_data,&out_linesize,AudioResamplerBuffer,AudioStream->codec->channels,out_samples,AudioStream->codec->sample_fmt,0)<0) {
                                                    ^
Makefile:4524: die Regel für Ziel „_EncodeVideo.o“ scheiterte
make[1]: *** [_EncodeVideo.o] Fehler 1
make[1]: Verzeichnis „/home/nonoman/bin/ffDiaporama.r488/src/ffDiaporama“ wird verlassen
Makefile:68: die Regel für Ziel „sub-src-ffDiaporama-make_first“ scheiterte
make: *** [sub-src-ffDiaporama-make_first] Fehler 2

Greetings

Norbert

Offline

#5 01-04-2015 16:01:38

gerd1028
Membre
Registered: 05-09-2014
Posts: 28

Re: Problems to compile in archlinux

Hello,

oops, i had this error too and simply have changed

    #define RESAMPLE_MAX_CHANNELS SWR_CH_MAX
to
    #define RESAMPLE_MAX_CHANNELS 32
in cDeviceModelDef.h

at least for ffmpeg 2.5.x you should also add the line
   VideoStream->time_base                  = VideoFrameRate;   //new ffmpeg 2.5.0!!!!
right after the line
   VideoStream->codec->time_base           = VideoFrameRate;
in _EncodeVideo.cpp, else you will get a crash at the end of video-rendering.

Greetings
Gerd

Offline

#6 01-05-2015 22:43:15

meinereiner
Membre
Registered: 03-21-2012
Posts: 63

Re: Problems to compile in archlinux

Great,

thats it. Thanks.

Manually compiling and installig works and renderig an mp4-File works also.

So on, pherhaps someone can update the AUR-Package.

Greetings

Norbert

Offline

#7 01-07-2015 00:08:59

gerd1028
Membre
Registered: 05-09-2014
Posts: 28

Re: Problems to compile in archlinux

I think there is no active maintainer for this project. There are no updates since july 14.
Looks like this project is going to die....

Offline

#8 01-07-2015 10:34:12

Sestay
Modérateur
Registered: 09-19-2011
Posts: 452
Website

Re: Problems to compile in archlinux

Hello,
the project is currently on stand-by because Domledon have some problems (and no time ).
but if you're interested, he looks for a person able to continue this project.
you can contact easily.

Last edited by Sestay (01-07-2015 10:36:09)

Offline

#9 03-29-2015 00:57:51

boenki
Membre
Registered: 09-21-2011
Posts: 88

Re: Problems to compile in archlinux

meinereiner wrote:

Great,

thats it. Thanks.

Manually compiling and installig works and renderig an mp4-File works also.

So on, pherhaps someone can update the AUR-Package.

Greetings

Norbert

I just updated the AUR package.

devel version needs some adjustments, too.

I will update it soon.


Archlinux packager: stable / texuremate-addon / openclipart-addon

Offline

#10 05-08-2016 17:02:40

hufnala
Membre
Registered: 12-21-2014
Posts: 12

Re: Problems to compile in archlinux

boenki wrote:
meinereiner wrote:

Great,

thats it. Thanks.

Manually compiling and installig works and renderig an mp4-File works also.

So on, pherhaps someone can update the AUR-Package.

Greetings

Norbert

I just updated the AUR package.

devel version needs some adjustments, too.

I will update it soon.

Hi, could you maybe check my Thread? I used the current 2.2 devel from packman of April 26th 2016 what should use
the newest SVN version. But I still get a lot of crashes - nearly always.

Thanks a lot.

//hufnala

Offline

Board footer